* changes v2.01 -> v2.10:

Type.: Feature
File.: Kernel
Desc.: Dropped CUDA support and switched to OpenCL for NVidia

Type.: Feature
File.: Kernel
Desc.: Extended support from 14 to 255 functions calls per rule on GPU

Type.: Feature
File.: Kernel
Desc.: Added new hash mode -m 12900 = Android FDE (Samsung DEK)
Issue: 86

Type.: Feature
File.: Kernel
Desc.: Added new hash mode -m 13000 = RAR5
Issue: 68

Type.: Feature
File.: Host
Desc.: Added support to utilize multiple different OpenCL platforms in parallel, ex: AMD + NV
Issue: 2

Type.: Feature
File.: Host
Desc.: Added support to utilize OpenCL devices-types other than GPU, ex: CPU or FPGA
Issue: 2

Type.: Feature
File.: Host
Desc.: Added support to utilize multiple different OpenCL devices-types in parallel, ex: GPU + CPU
Issue: 2

Type.: Feature
File.: Host
Desc.: Added a Makefile target for native compilation
Issue: 2

Type.: Feature
File.: Host
Desc.: Switched to Khronos OSS OpenCL reference implementation for building
Issue: 2

Type.: Feature
File.: Host
Desc.: No longer requires NV CUDA-SDK, NV ForceWare, NVML, NVAPI, AMD APP-SDK and AMD ADL in depencies
Issue: 2

Type.: Feature
File.: Host
Desc.: Added option --opencl-platform to select specific OpenCL platforms
Issue: 2

Type.: Feature
File.: Host
Desc.: Added option --opencl-device-types to select specific OpenCL device types
Issue: 2

Type.: Feature
File.: Host
Desc.: Added option --opencl-vector-width to override automatically selected vector-width size
Issue: 2

Type.: Feature
File.: Host
Desc.: Implemented a new feature that allows to quit at next restore point update (and disable it)
Issue: 10

Type.: Feature
File.: Host
Desc.: Moved rules_optimize to hashcat-utils

Type.: Feature
File.: Host
Desc.: Run weak-hash checks only in straight-attack mode, this greatly reduces code complexity

Type.: Change
File.: Host
Desc.: Renamed option --gpu-accel to --kernel-accel
Issue: 2

Type.: Change
File.: Host
Desc.: Renamed option --gpu-loops to --kernel-loops
Issue: 2

Type.: Change
File.: Host
Desc.: Renamed option --gpu-devices to --opencl-devices
Issue: 2

Type.: Change
File.: Host
Desc.: Expanded version information
Issue: 138

Type.: Change
File.: Host
Desc.: Stick to older libOpenCL to avoid errors like this: version `OPENCL_2.0' not found

Type.: Bug
File.: Host
Desc.: Fixed a bug in combination of --restore and a user immediately aborting the session after restart
Trac.: 684

Type.: Bug
File.: Kernel
Desc.: Fix a bug in the implementation of GOST R 34.11-94, zero length passwords were not cracked

Type.: Bug
File.: Kernel
Desc.: Fix a bug in rule-engine for NVidia devices, the code for left- and right-shift were switched

Type.: Bug
File.: Host
Desc.: Forced default iteration count for -m 2100 = DCC2 hashes to 10240

* changes v2.00 -> v2.01:

Type.: Bug
File.: Host
Desc.: Fix for a cuMemsetD8() 1 error in attacks different from mask attacks
Issue: 1

* changes v1.37 -> v2.00:

Type: Project
File: All
Desc: Made the project Open-Source

Type: Project
File: All
Desc: Switched the license to MIT

Type: Feature
File: Host
Desc: Removed Timebomb-, Beta- and Keyfile- checks

Type: Driver
File: Host
Desc: Added support for AMD APP SDK v3.0 GA

Type: Driver
File: Host
Desc: Added support for AMD ADL 8.0

Type: Driver
File: Host
Desc: added support for NV CUDA 7.5

Type: Feature
File: Host
Desc: Replaced support for NVAPI with support for its successor GDK, starting with version 352.55

Type: Driver
File: Host
Desc: Added support for all AMD Fiji based GPU (Fury)
Trac: 677

Type: Change
File: Kernel
Desc: Bitsliced mode -m 1500 = crypt, DES(Unix), Traditional DES in mask mode

Type: Change
File: Kernel
Desc: Bitsliced mode -m 3000 = LM in mask mode

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12700 = Blockchain, My Wallet
Trac: 645

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12800 = MS-AzureSync PBKDF2-HMAC-SHA256
Trac: 669

Type: Feature
File: Kernel
Desc: Added new hash mode -m 6211 = TrueCrypt 5.0+ PBKDF2-HMAC-RipeMD160 + XTS  512 bit
Desc: Added new hash mode -m 6212 = TrueCrypt 5.0+ PBKDF2-HMAC-RipeMD160 + XTS 1024 bit
Desc: Added new hash mode -m 6213 = TrueCrypt 5.0+ PBKDF2-HMAC-RipeMD160 + XTS 1536 bit
Desc: Added new hash mode -m 6221 = TrueCrypt 5.0+ PBKDF2-HMAC-SHA512    + XTS  512 bit
Desc: Added new hash mode -m 6222 = TrueCrypt 5.0+ PBKDF2-HMAC-SHA512    + XTS 1024 bit
Desc: Added new hash mode -m 6223 = TrueCrypt 5.0+ PBKDF2-HMAC-SHA512    + XTS 1536 bit
Desc: Added new hash mode -m 6231 = TrueCrypt 5.0+ PBKDF2-HMAC-Whirlpool + XTS  512 bit
Desc: Added new hash mode -m 6232 = TrueCrypt 5.0+ PBKDF2-HMAC-Whirlpool + XTS 1024 bit
Desc: Added new hash mode -m 6233 = TrueCrypt 5.0+ PBKDF2-HMAC-Whirlpool + XTS 1536 bit
Desc: Added new hash mode -m 6241 = TrueCrypt 5.0+ PBKDF2-HMAC-RipeMD160 + XTS  512 bit + boot-mode
Desc: Added new hash mode -m 6242 = TrueCrypt 5.0+ PBKDF2-HMAC-RipeMD160 + XTS 1024 bit + boot-mode
Desc: Added new hash mode -m 6243 = TrueCrypt 5.0+ PBKDF2-HMAC-RipeMD160 + XTS 1536 bit + boot-mode
Trac: 394

Type: Feature
File: Kernel
Desc: Added support for keyfiles with TrueCrypt 5.0+ for all modes
Trac: 618

Type: Feature
File: Host
Desc: Added new status-display line showing Recovered/Time rate for current and average activity

Type: Change
File: Kernel
Desc: Hash-Modes 10900, 11900, 12000 and 12100 switched salt encoding from raw to base64
Trac: #658

Type: Change
File: Host
Desc: Fine-tuned fanspeed regulation to work nice even on bigger systems (6+ GPU)

Type: Change
File: Host
Desc: Renamed rule 'x' to 'O', omit X chars of word at pos N

Type: Change
File: Host
Desc: Added rule 'x', extract X chars of word at pos N, to keep compatibility to JtR/crack

Type: Change
File: Host
Desc: Switched to newer glibc for binaries (testphase; please contact us if you have problems)

Type: Bug
File: Host
Desc: On Nvidia, do not use cuMemAllocHost() on CUDA systems with many GPUs to avoid errors of type cuMemAllocHost() 999

Type: Bug
File: Host
Desc: On Nvidia, make sure to clean constant buffer for each iteration of maskfiles
Trac: 691

Type: Bug
File: Host
Desc: When trying to crack a raw hash with appended salt, the salt length was taken into account when calculating the number of bytes for the innerloop

* changes v1.36 -> v1.37:

Type: Driver
File: Host
Desc: Added support for all AMD Catalyst >= v14.9

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11700 = GOST R 34.11-2012 (Streebog) 256-bit

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11800 = GOST R 34.11-2012 (Streebog) 512-bit

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11900 = PBKDF2-HMAC-MD5

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12000 = PBKDF2-HMAC-SHA1

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12100 = PBKDF2-HMAC-SHA512

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12200 = eCryptfs

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12300 = Oracle T: Type (Oracle 12+)

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12400 = BSDiCrypt, Extended DES

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12500 = RAR3-hp

Type: Feature
File: Kernel
Desc: Added new hash mode -m 12600 = ColdFusion 10+

Type: Feature
File: Kernel
Desc: Added support for longer field lengths in -m 11400 = SIP digest authentication (MD5)
Trac: #539, #624

Type: Feature
File: Host
Desc: Fixed digest size for all hash-types internally to 128 bit

Type: Feature
File: Host
Desc: Fixed a bug in .hcmask file custom charset keyspace
Trac: #617

Type: Change
File: Kernel
Desc: Renamed -m 112 = Oracle 11g/12c to -m 112 = Oracle S: Type (Oracle 11+)

Type: Change
File: Kernel
Desc: Renamed -m 3100 = Oracle 7-10g, DES(Oracle) to -m 3100 = Oracle H: Type (Oracle 7+)

Type: Change
File: Host
Desc: Renamed -m 3800 = md5 ($pass.$salt.$pass) to -m 3800 = md5 ($salt.$pass.$salt)

Type: Change
File: Host
Desc: Renamed -m 1100 = Domain Cached Credentials, mscash to -m 1100 = Domain Cached Credentials (DCC), MS Cache

Type: Change
File: Host
Desc: Renamed -m 2100 = Domain Cached Credentials2, mscash2 to -m 2100 = Domain Cached Credentials 2 (DCC2), MS Cache 2

Type: Change
File: Host
Desc: Reordered hash-type listing in usage screen and set default benchmark ordering anlogue to that listing

Type: Change
File: Host
Desc: oclHashcat binaries are now being build on Ubuntu 15.04 (vivid)

Type: Bug
File: Host
Desc: Loopback file names now also depend and the path contains a random number, not timestamp only

Type: Bug
File: Host
Desc: Fixed a bug where the extra rules -j and -k were applied based on the wordlist-size not position

Type: Bug
File: Host
Desc: Fixed problem with --loopback that could sometimes lead to an infinite loop on windows
Trac: #626

* changes v1.35 -> v1.36:

Type: Driver
File: Kernel
Desc: Added support for NV ForceWare 346.59 driver

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11400 = SIP digest authentication (MD5)
Trac: #539

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11300 = Bitcoin/Litecoin wallet.dat
Trac: #434

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11500 = CRC32
Trac: #532

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11600 = 7-Zip
Trac: #532

Type: Feature
File: Host
Desc: Optimized final round flushing (reduces time at last percents of progress with slower speed)

Type: Feature
File: Host
Desc: Optimized rejection handling (for example passwords > 8 if cracking DEScrypt etc)

Type: Feature
File: Host
Desc: Added parameter --bitmap-min to help loading huge hashlists faster

Type: Feature
File: Host
Desc: In status display, if a single hash is longer than 40 chars, truncate it and add "..." to it

Type: Change
File: Host
Desc: Renamed -m 3810 = md5($salt.$pass.$salt) to -m 3800 = md5($salt.$pass.$salt)

Type: Change
File: Host
Desc: Renamed -m 4710 = sha1($salt.$pass.$salt) to -m 4900 = sha1($salt.$pass.$salt)

Type: Change
File: Host
Desc: The speed in status display is no longer divide by the number of uncracked salts

Type: Change
File: Host
Desc: If all hashes bound to a salt are cracked, reduce the progress count of one salt from the total progress

Type: Change
File: Host
Desc: --show/--left does now work with both halves of -m 3000 = LM hashes if they are 32 hex chars long
Trac: #448

Type: Bug
File: Kernels
Desc: Fixed a bug in NVidia multihash kernels: MD5, NTLM, IPB2

Type: Bug
File: Host
Desc: Added additional checks for hexadecimal values supplied in masks by using the --hex-charset switch
Trac: 610

Type: Bug
File: Host
Desc: Fixed a bug in NVidia workload balancing

Type: Bug
File: Host
Desc: Fixed a bug in single rule applied to each word from left dict

Type: Bug
File: Host
Desc: Problem with "," character escaping in .hcmask file fixed

Type: Bug
File: Host
Desc: Fixed a bug in -m 101, was showing a wrong cracked plaintext

* changes v1.34 -> v1.35:

Type: Feature
File: Kernel
Desc: Increased speed for all multihash kernel using a bitmap technique

Type: Bug
File: Kernels
Desc: Fixed a bug in NVidia multihash kernels that a hash was not found even with the correct plain

* changes v1.33 -> v1.34:

Type: Feature
File: Kernel
Desc: Increased speed for SHA1 raw kernels (-m 100/110/120/130/140) on GCN cards (7970, 280x, 290x, ...)

Type: Feature
File: Kernel
Desc: Increased speed for PDF kernel (-m 104xx and -m 105xx) for all NVidia GPU

Type: Feature
File: Kernel
Desc: Increased speed for all multihash kernel using a bitmap technique

Type: Feature
File: Kernel
Desc: Added oclHashcat compile timestamp to buffered binary kernels to avoid collisions with older versions

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11000 = PrestaShop
Trac: #589

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11100 = PostgreSQL Challenge-Response Authentication (MD5)
Trac: #490

Type: Feature
File: Kernel
Desc: Added new hash mode -m 11200 = MySQL Challenge-Response Authentication (SHA1)
Trac: #490

Type: Feature
File: Kernel
Desc: Added support for 32 bytes ID objects for hash type -m 10500 = PDF 1.4 - 1.6
Trac: #594

Type: Feature
File: Host
Desc: Inform user with small wordlists how to avoid slow speed with slow hashes
Trac: #597

Type: Change
File: Host
Desc: Renamed -m 7100 = OS X v10.8 / v10.9 to OS X v10.8+

Type: Workaround
File: Host
Desc: New workaround for -m 2500 = WPA/WPA2 key versions which are not valid (should always be < 256)

Type: Bug
File: Kernels
Desc: Fixed a race condition in multihash kernels

Type: Bug
File: Kernels
Desc: Fixed a buffer overflow that could lead to all kinds of segmentation fault or system freezing
Trac: #591

Type: Bug
File: Host
Desc: The key size (AES 128 vs AES 256) for office 2007 hashes was not shown correctly in output/status
Trac: #590

Type: Bug
File: Host
Desc: Fixed a bug if a rule in -j changes the length of the words in the wordlist, ex. ]
Trac: #593

Type: Bug
File: Host
Desc: Fixed a crash when using the outfile remove feature together with some hash types
Trac: #593

Type: Bug
File: Host
Desc: Fixed a problem where wrong restore point percentage was shown
Trac: #606

Type: Bug
File: Host
Desc: Fixed a buffer overflow in stdin mode

Type: Bug
File: Host
Desc: Fixed a bug which caused clCreateBuffer() -61 Error even on single hashes

Type: Bug
File: Host
Desc: Fixed a bug which caused clEnqueueCopyBuffer() -30 Error by limiting --gpu-loops to a maximum of 1024

Type: Bug
File: Host
Desc: Fixed a bug related to the maximum password length supported per hash-type

* changes v1.32 -> v1.33:

Type: Feature
File: Kernel
Desc: added new hash mode -m 10400 = PDF 1.1 - 1.3 (Acrobat 2 - 4)
Trac: #160

Type: Feature
File: Kernel
Desc: added new hash mode -m 10410 = PDF 1.1 - 1.3 (Acrobat 2 - 4) + collider-mode #1
Trac: #160

Type: Feature
File: Kernel
Desc: added new hash mode -m 10420 = PDF 1.1 - 1.3 (Acrobat 2 - 4) + collider-mode #2
Trac: #160

Type: Feature
File: Kernel
Desc: added new hash mode -m 10500 = PDF 1.4 - 1.6 (Acrobat 5 - 8)
Trac: #160

Type: Feature
File: Kernel
Desc: added new hash mode -m 10600 = PDF 1.7 Level 3 (Acrobat 9)
Trac: #160

Type: Feature
File: Kernel
Desc: added new hash mode -m 10700 = PDF 1.7 Level 8 (Acrobat 10 - 11)
Trac: #160

Type: Feature
File: Kernel
Desc: added new hash mode -m 10900 = PBKDF2-HMAC-SHA256
Trac: #256

Type: Feature
File: Kernel
Desc: added support for cracking AES-256 in -m 9400 = Office 2007
Trac: #576

Type: Feature
File: Host
Desc: Multithreaded wordlist loader

Type: Feature
File: Host
Desc: Added last restore point information to status screen
Trac: #445

Type: Feature
File: Host
Desc: Support added to allow both {SSHA} and {ssha} signatures for -m 111 = nsldaps, SSHA-1(Base64), Netscape LDAP SSHA
Trac: #537

Type: Feature
File: Host
Desc: Avoid using GPU_NUM_COMPUTE_RINGS to solve clGetDeviceIDs() -1 on some systems
Trac: #564

Type: Bug
File: Host
Desc: Beta key date check will now be disabled in release versions
Trac: #536

Type: Bug
File: Host
Desc: Minor change in exit code handling, priority of exit codes changed
Trac: #545

Type: Bug
File: Host
Desc: Solved a memory problem when using --show and --username with corrupted or missing user name
Trac: #565

Type: Bug
File: Host
Desc: Fixed a formatting problem when using the --username switch while cracking (colons were wrongly prepended to each line)
Trac: #566

* changes v1.31 -> v1.32:

Type: Driver
File: Host
Desc: Marked AMD Catalyst 14.12 as broken driver

Type: Driver
File: Kernel
Desc: Added support for AMD APP SDK v3.0 beta

Type: Driver
File: Kernel
Desc: Added support for NV ForceWare 346.29 driver

Type: Driver
File: Kernel
Desc: added support for NV CUDA 7.0

Type: Driver
File: Kernel
Desc: Added support for NV new GPUs: "sm_37", used in Tesla K80

Type: Driver
File: Host
Desc: NVidia dropped support for CUDA enabled cards <= sm_13

Type: Driver
File: Host
Desc: Removed bzero kernel as they are now supported by native runtime

Type: Workaround
File: Kernel
Desc: Fixed bug in RC4 based algorithms like Office initiated by AMD drivers

Type: Reimplementation
File: Kernel and Host
Desc: Rewrote slow hash candidate amplifiers, ported from CPU to GPU

Type: Reimplementation
File: Kernel
Desc: Rewrote support for algorithm -m 8900 = scrypt, simply more speed
Trac: #507

Type: Feature
File: Kernel
Desc: added support for TrueCrypt 5.x containers in all hash modes -m 62XX

Type: Feature
File: Kernel
Desc: added new hash mode -m 4710 = sha1($salt.$pass.$salt)
Trac: #517

Type: Feature
File: Kernel
Desc: added new hash mode -m 10200 = Cram MD5
Trac: #528

Type: Feature
File: Kernel
Desc: added new hash mode -m 10300 = SAP CODVN H (PWDSALTEDHASH) iSSHA-1

Type: Change
File: Host
Desc: renamed -m 123 = Django (SHA-1) to -m 124 = Django (SHA-1)

Type: Change
File: Host
Desc: renamed --powertune-disable to --powertune-enable and set default to unset

Type: Feature
File: Host
Desc: Added parameter --scrypt-tmto to manually override automatically calculated tmto settings

Type: Bug
File: Host
Desc: fixed a bug when two rules in chaining-mode exceed maximum 15 functions calls in sum

Type: Bug
File: Host
Desc: fixed a bug in -j if the rule causes to change password length

Type: Bug
File: Host
Desc: fixed problem with ADL fan speed display, catalyst 14.9 driver had problems querying the fan information/speed
Trac: #514

Type: Bug
File: Host
Desc: fixed a problem with too aggressive plain rejection check
Trac: #515

Type: Bug
File: Host
Desc: show error message when the user attempts to use directories in combinator attack (which is not supported)
Trac: #518

Type: Bug
File: Host
Desc: show error message when the user tries to use too long masks, fixes a crash
Trac: #522

Type: Bug
File: Host
Desc: Fixed Redmine format; support for 32 bytes of hexadecimal salt added
Trac: #543

Type: Bug
File: Host
Desc: Fixed a problem when using --remove with a multi-hccap file
Trac: #552

type: Feature
file: Rules
desc: added dive.rule
Trac: #519

* changes v1.30 -> v1.31:

Type: Driver
File: Host
Desc: added support for AMD Catalyst 14.9

Type: Driver
File: Host
Desc: added support for NV CUDA 6.5

Type: Driver
File: Kernel
Desc: Added support for NV new GPUs: "sm_52" (Maxwell v2), used in GTX 970/980

Type: Feature
File: Kernel
Desc: added new hash mode -m 12 = PostgreSQL

Type: Feature
File: Kernel
Desc: added new hash mode -m 123 = Django (SHA-1)

Type: Feature
File: Kernel
Desc: added new hash mode -m 501 = Juniper IVE

Type: Feature
File: Kernel
Desc: added new hash mode -m 4300 = md5(strtoupper(md5($pass)))

Type: Feature
File: Kernel
Desc: added new hash mode -m 3810 = md5($salt.$pass.$salt)

Type: Feature
File: Kernel
Desc: added new hash mode -m 9200 = Cisco $8$

Type: Feature
File: Kernel
Desc: added new hash mode -m 9300 = Cisco $9$

Type: Feature
File: Kernel
Desc: added new hash mode -m 9400 = Office 2007

Type: Feature
File: Kernel
Desc: added new hash mode -m 9500 = Office 2010

Type: Feature
File: Kernel
Desc: added new hash mode -m 9600 = Office 2013

Type: Feature
File: Kernel
Desc: added new hash mode -m 9700 = MS Office <= 2003 MD5 + RC4, oldoffice$0, oldoffice$1

Type: Feature
File: Kernel
Desc: added new hash mode -m 9710 = MS Office <= 2003 MD5 + RC4, collider-mode #1

Type: Feature
File: Kernel
Desc: added new hash mode -m 9720 = MS Office <= 2003 MD5 + RC4, collider-mode #2

Type: Feature
File: Kernel
Desc: added new hash mode -m 9800 = MS Office <= 2003 SHA1 + RC4, oldoffice$3, oldoffice$4

Type: Feature
File: Kernel
Desc: added new hash mode -m 9810 = MS Office <= 2003 SHA1 + RC4, collider-mode #1

Type: Feature
File: Kernel
Desc: added new hash mode -m 9820 = MS Office <= 2003 SHA1 + RC4, collider-mode #2

Type: Feature
File: Kernel
Desc: added new hash mode -m 9900 = Radmin2

Type: Feature
File: Kernel
Desc: added new hash mode -m 10000 = Django (PBKDF2-SHA256)
Trac: #473

Type: Feature
File: Kernel
Desc: added new hash mode -m 10100 = SipHash
Trac: #509

Type: Feature
File: Host
Desc: new feature to notice the user how many hashes were removed because of pot file remove feature
Trac: #506

Type: Feature
File: Host
Desc: output the MAC address (BSSID) too when cracking WPA/WPA2, pot file output is different too
Trac: #440

Type: Change
File: Host
Desc: renamed -m 8800 = Android FDE to -m 8800 = Android FDE <= 4.3

Type: Change
File: Docs
Desc: Removed docs/credits.txt

Type: Bug
File: Host
Desc: fixed problem with ADL fan speed information; only happening on some non-reference design Overdrive6 GPUs
Trac: #498

Type: Bug
File: Host
Desc: fixed crash with --debug-mode=x when number of rules was exactly 14 (approaching maximum amount of rules allowed)
Trac: #505

Type: Bug
File: Host
Desc: fixed inconsistency when using --show together with --username and different --outfile-format options
Trac: #513

* changes v1.21 -> v1.30:

Type: Driver
File: Kernel
Desc: Added support for AMD Catalyst v14.6 and v14.7 (beta) driver

Type: Driver
File: Kernel
Desc: Added support for NV ForceWare 340.24 driver

Type: Driver
File: Host
Desc: added support for AMD ADL 7.0

Type: Reimplementation
File: Host
Desc: Rewrote dispatcher thread from scratch

Type: Reimplementation
File: Kernel
Desc: Rewrote support for algorithm -m 7500 = Kerberos 5 AS-REQ Pre-Auth etype 23 as fast algorithm

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 23 = Skype
Trac: #474

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 133 = PeopleSoft
Trac: #419

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 3710 = md5($salt.md5($pass))

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 3711 = Mediawiki B type
Trac: #410

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8800 = Android FDE

Type: Feature
File: Host
Desc: Added support for algorithm -m 8900 = scrypt
Trac: #295

Type: Feature
File: Host
Desc: Allow the use of --show and --left while another instance of oclHashcat is running
Trac: #480

Type: Feature
File: Host
Desc: Added support for algorithm -m 9000 = Password Safe v2

Type: Feature
File: Host
Desc: Added support for algorithm -m 9100 = Lotus Notes/Domino 8

Type: Feature
File: Host
Desc: Added support for --increment with attack-mode 6 and attack-mode 7
Trac: #450

Type: Change
File: Kernel
Desc: Renamed -m 112 = Oracle 11g to -m 112 = Oracle 11g/12c

Type: Change
File: Kernel
Desc: Renamed -m 5200 = Password Safe SHA256 to -m 5200 = Password Safe v3

Type: Change
File: Kernel
Desc: Renamed -m 5800 = Samsung Android Password/PIN to -m 5800 = Android PIN

Type: Bug
File: Kernel
Desc: fixed bug in warp kernels were zero-byte leading plains are incorrectly displayed
Trac: #428

Type: Bug
File: Kernel
Desc: fixed bug in SAP CODVN B (BCODE) misses correct password in rare cases
Trac: #495

Type: Bug
File: Kernel
Desc: Enforce maximum password length for -m 8500 = RACF
Trac: #431

Type: Bug
File: Kernel
Desc: Rule iNX = Insert character X at position N didn't allow to insert a character at the very end of the plain
Trac: #457

Type: Bug
File: Host
Desc: fixed bug in bitmap table leading to uncracked 64-bit based hashes if bitmap_size > 0xffff

Type: Bug
File: Host
Desc: Separator for -m 22 = Juniper Netscreen/SSG (ScreenOS) should always be ':', regardless of --separator
Trac: #454

Type: Bug
File: Host
Desc: fixed memory problem of rules_optimize tool
Trac: #456

Type: Bug
File: Host
Desc: fixed crash with --show when using hash types which use "long" salts, e.g. -m 5600
Trac: #489

Type: Bug
File: Host
Desc: fixed output problem when using --attack-mode 1/6/7, sometimes output was truncated
Trac: #494

Type: Bug
File: Rules
Desc: Reduced generated2.rule file to 64k (65536) rules
Trac: #436

* changes v1.20 -> v1.21:

Type: Feature
File: Host
Desc: Added support for algorithm -m 2612 = PHPS

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8600 = Lotus Notes/Domino 5

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8700 = Lotus Notes/Domino 6

Type: Workaround
File: Kernel
Desc: Fixed performance drop on descrypt, LM and oracle-old initiated by AMD drivers

Type: Workaround
File: Host
Desc: Fixed problem with restoring ADL performance state when the clock size reported by the AMD driver didn't respect the clock step size
Trac: #435

Type: Workaround
File: Host
Desc: Fixed problem with setting ADL powertune value for r9 295x2 GPUs
Trac: #438

Type: Feature
File: Host
Desc: Added support for writing logfiles
Trac: #420

Type: Feature
File: Host
Desc: Added parameter --logfile-disable which should be self-explaining
Trac: #420

Type: Change
File: Host
Desc: Dictstat is now no longer session dependent and will always be based on oclHashcat installation directory
Trac: #437

Type: Change
File: Host
Desc: Use AMD custom profile settings instead of basing the AMD powertune/clock settings on maximum supported clock values
Trac: #433

Type: Bug
File: Host
Desc: Fixed VLIW size calculated by compute capability was broken for sm_50 -> cuModuleLoad() 301

Type: Bug
File: Host
Desc: Make --runtime count relative to real attack start not program start

Type: Bug
File: Host
Desc: Fixed problem with potfile remove when there are hashes in the .pot file with invalid length for the specific hash type selected

Type: Bug
File: Host
Desc: Don't allow --keyspace together with --increment or mask files
Trac: #430

Type: Bug
File: Host
Desc: Fixed bug with fan speed handling, if fan speed is manually set to a high enought value (e.g. 100%) oclHashcat shouldn't change it
Trac: #439

Type: Bug
File: Host
Desc: Problem with username parsing (--username) was fixed
Trac: #441

Type: Bug
File: Host
Desc: Fixed problem where IKE-PSK sha1/md5 (-m 5300/-m 5400) were wrongly recognized as shadow file formats
Trac: #443

Type: Bug
File: Host
Desc: Fixed problem where the 'delete range' rule (xNM) did not allow to remove charaters at the very end of the word
Trac: #444

Type: Bug
File: Host
Desc: Fixed memory problem when using .hcmask files together with --increment
Trac: #462

Type: Bug
File: Host
Desc: Fixed problem in benchmark mode when the user hits 'b' (bypass), the following algorithms were all skipped too
Trac: #469

Type: Bug
File: Host
Desc: Fixed Overdrive6 temperature query on some new AMD GPUs, fixes WARN: ADL_Overdrive5_Temperature_Get(): -5
Trac: #476

* changes v1.01 -> v1.20:

Type: Driver
File: Kernel
Desc: Added support for AMD Catalyst v14.4 (mantle) driver

Type: Driver
File: Kernel
Desc: Added support for AMD new GPUs: "Spectre", "Spooky", "Kalindi", "Hainan", "Iceland", "Tonga" and "Mullins"

Type: Driver
File: Kernel
Desc: Added support for NV ForceWare 331.67 driver

Type: Driver
File: Kernel
Desc: Added support for NV new GPUs: "sm_50" (Maxwell)

Type: Reimplementation
File: Kernel
Desc: Rewrote multihash structure, ex: 290x can now load up to 100,000,000+ MD5/NTLM hashes at once

Type: Reimplementation
File: Kernel and Host
Desc: Rewrote rule engines (CPU and GPU) and made them more robust by synchronizing error handling

Type: Reimplementation
File: Host
Desc: Rewrote restore system from scratch; no longer requires same system with same GPUs

Type: Reimplementation
File: Host
Desc: Restructured .restore file; no longer create huge .restore files, stay < 2k of size

Type: Reimplementation
File: Host
Desc: Rewrote weak-hash check; support all algorithm types including salted ones
Trac: #165

Type: Reimplementation
File: Host
Desc: Rewrote workload dispatching when progress is near to keyspace end; act more conservative

Type: Reimplementation
File: Host
Desc: Rewrote mechanism to control the fan with AMD GPUs

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 22 = Juniper Netscreen/SSG (ScreenOS)
Trac: #235

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 200 = MySQL323
Trac: #377

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 1421 = hMailServer
Trac: #401

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 2410 = Cisco-ASA MD5
Trac: #365

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 4400 = md5(sha1($pass))
Trac: #198

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 4500 = Double SHA1
Trac: #390

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 4700 = sha1(md5($pass))
Trac: #198

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 4800 = MD5(Chap), iSCSI CHAP authentication
Trac: #214

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 6251 = TrueCrypt 5.0+ PBKDF2-HMAC-RipeMD160 + AES + hidden-volume
Trac: #378

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 6261 = TrueCrypt 5.0+ PBKDF2-HMAC-SHA512 + AES + hidden-volume
Trac: #378

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 6271 = TrueCrypt 5.0+ PBKDF2-HMAC-Whirlpool + AES + hidden-volume
Trac: #378

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 6281 = TrueCrypt 5.0+ PBKDF2-HMAC-RipeMD160 + AES + hidden-volume + boot-mode
Trac: #378

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 7300 = IPMI2 RAKP HMAC-SHA1
Trac: #233

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 7600 = Redmine Project Management Web App
Trac: #391

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 7700 = SAP CODVN B (BCODE)
Trac: #177

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 7800 = SAP CODVN F/G (PASSCODE)
Trac: #177

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 7900 = Drupal7
Trac: #326

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8000 = Sybase ASE
Trac: #193

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8100 = Citrix Netscaler
Trac: #369

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8200 = 1Password, cloudkeychain
Trac: #126

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8300 = DNSSEC (NSEC3)
Trac: #387

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8400 = WBB3, Woltlab Burning Board 3
Trac: #181

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 8500 = RACF
Trac: #192

Type: Feature
File: Kernel
Desc: Added support for $2y$ and $2a$ bcrypt signatures
Trac: #251

Type: Feature
File: Kernel
Desc: Added support for higher cost factors for -m 400 = phpass
Trac: #280

Type: Feature
File: Kernels
Desc: Increased support for username length up to 20 for -m 1100 = Domain Cached Credentials, mscash
Trac: #379

Type: Feature
File: Kernels
Desc: Increased support for username length up to 20 for -m 2100 = Domain Cached Credentials2, mscash2
Trac: #379

Type: Feature
File: Kernels
Desc: Added support for mixed cracking WPA and WPA2 at once, no more need for split
Trac: #388

Type: Feature
File: Host
Desc: Added support for Tesla Deployment Kit v5.319.85

Type: Feature
File: Host
Desc: Added parameter --workload-profile to give the user a convenient way to set the reduced, default or tuned performance tuning options

Type: Feature
File: Host
Desc: Added parameter -s for use in distributed computing, mark skip of range of keyspace

Type: Feature
File: Host
Desc: Added parameter -l for use in distributed computing, mark length of range of keyspace

Type: Feature
File: Host
Desc: Added parameter --keyspace for use in distributed computing, calculate keyspace

Type: Feature
File: Host
Desc: Load already cracked hashes from potfile on startup to avoid double cracking

Type: Feature
File: Host
Desc: Added inline induction directory that can be used for on-the-fly adding of new password candidates

Type: Feature
File: Host
Desc: Added switch --loopback to automatically write cracked plains into a file in the induction directory

Type: Feature
File: Host
Desc: Added debugging support for rules as in hashcat CPU; used for rule- and dictionary efficiency analysis

Type: Feature
File: Host
Desc: Added parameter --debug-mode and --debug-file to write found plains and/or rules as in hashcat CPU

Type: Feature
File: Host
Desc: Added --debug-mode 4 == original_plain:rule:modified_plain
Trac: #317

Type: Feature
File: Host
Desc: Added tweaks for AMD OverDrive 6 (powercontrol, core- and mem-clock profiles)

Type: Feature
File: Host
Desc: Added switch --powertune-disable to allow users to disable automatic power tuning for AMD OverDrive 6

Type: Feature
File: Host
Desc: Added --induction-dir to allow the users to specify the folder which will be used instead of the default induct folder

Type: Feature
File: Host
Desc: Added --outfile-check-dir to allow the users to specify the folder which should be monitored for cracked hashes

Type: Feature
File: Host
Desc: Added --outfile-check-timer to allow the users to control the outfile/potfile reading frequency (0 = disabled)

Type: Feature
File: Host
Desc: Added periodic outfile reading such that user can remove hashes while cracking by appending the hash[:salt]:plain to the file

Type: Feature
File: Host
Desc: Added support for automatic detection for hashfile-formats like pwdump, passwd, shadow, etc.
Trac: #393

Type: Feature
File: Host
Desc: Undo fan speed changes by oclHashcat after stopping/aborting
Trac: #238

Type: Feature
File: Host
Desc: Added support loading $HEX[...] format from dictionaries

Type: Feature
File: Host
Desc: Added switch --outfile-autohex-disable to disable $HEX[...] format

Type: Feature
File: Host
Desc: Added switch --hex-wordlist to enable parsing words in wordlists given in hex

Type: Feature
File: Host
Desc: Increased maximum bitmap size to 24 bits to speed up cracking of huge hashlists at once

Type: Feature
File: Host
Desc: Added parameter --bitmap-max to help loading huge hashlists and with small gpu ram

Type: Feature
File: Host
Desc: Added parameter --weak-hash-threshold to set a maximum number of salts for which weak hashes should be checked

Type: Feature
File: Host
Desc: Added parameter --remove-timer to set the frequency the hash-file should be updated when using --remove

Type: Feature
File: Host
Desc: Added bit for parameter --outfile-format to print the position of a candidate that cracked a hash

Type: Feature
File: Host
Desc: Added parameter --status-automat to let oclHashcat display the status view in a machine readable format
Trac: #406

Type: Feature
File: Host
Desc: Added column "Skipped" to status display to showing skipped candidates because of cracked salt(s)

Type: Feature
File: Host
Desc: Improved handling of signals and terminate events; SIGTERM support and windows cmd close handling
Trac: #143

Type: Feature
File: Host
Desc: Added ability to use restore files from previous versions in case the structure did not change

Type: Feature
File: Host
Desc: Set default retain and abort temperatures for AMD OverDrive6 GPUs according to the values reported by ADL
Trac: #225

Type: Feature
File: Host
Desc: Added parameter -v to displays the version string (as -V does)
Trac: #252

Type: Feature
File: Host
Desc: Added support to load and save invalid salt characters used in descrypt
Trac: #269, #405

Type: Feature
File: Host
Desc: Added support for variable iteration number for -m 2100 = mscash2
Trac: #380

Type: Feature
File: Host
Desc: outfile-check and potfile remove (at startup) can now also be used together with hash mode 2500 = WPA/WPA2 and 6800 = Lastpass
Trac: #400

Type: Feature
File: Host
Desc: Added rules_optimizer standalone binary for use with debug-rules mode 3 output files

Type: Feature
File: Host
Desc: While parsing hashes on start inform user about the progress

Type: Feature
File: Rules
Desc: Added InsidePro-HashManager.rule

Type: Feature
File: Rules
Desc: Added generated2.rule, each one cracked a real hash, sorted by occourance. use head -XXXX to make a top XXXX
Cred: EvilMog

Type: Change
File: Rules
Desc: Renamed passwordspro.rule to InsidePro-PasswordsPro.rule

Type: Change
File: Host
Desc: Modified output plains to $HEX[...] format in case cracked password contains chars outside 0x20 - 0x80 ASCII range
Trac: #148

Type: Change
File: Host
Desc: Modified switch --potfile-disable to disable loading already cracked hashes from potfile on startup

Type: Change
File: Host
Desc: Save potfile and dicstat in the current working directory instead of installation directory
Trac: #281

Type: Change
File: Host
Desc: Change input hash format for -m 2100 = mscash2
Trac: #380

Type: Change
File: Host
Desc: Update tab completion for bash (in extra folder) to match up with new parameters

Type: Change
File: Host
Desc: Renamed switch --disable-potfile to --potfile-disable to match up parameter logic

Type: Change
File: Host
Desc: Renamed switch --disable-restore to --restore-disable to match up parameter logic

Type: Change
File: Docs
Desc: Help and docs update to underline that OSX 10.9 uses same format as 10.8
Trac: #236

Type: Change
File: Docs
Desc: Help and docs update to underline that MSSQL(2014) uses same format as MSSQL(2012)

Type: Change
File: Docs
Desc: Removed examples.txt; see wiki for more information
Trac: #236

Type: Change
File: Host
Desc: Renamed hash type Joomla into 'Joomla < 2.5.18', -m 400 has now also the note about MD5(Joomla)
Trac: #402

Type: Bug
File: Kernel
Desc: Raw whirlpool -m 6100 hashes could not be cracked in -a 1 combinator mode

Type: Bug
File: Host
Desc: If increment and masks were used in combination, status display needs reset to INIT after each iteration

Type: Bug
File: Host
Desc: In attack-mode 1 and 7, if at least one word in right wordlist is exactly of length 31, memory corruption occoured over time

Type: Bug
File: Host
Desc: Status timer should be enabled by default when in stdin mode
Trac: #218

Type: Bug
File: Host
Desc: Improved reading of fan speed and temperature; It sometimes failed when using twin GPUs on windows
Trac: #231

Type: Bug
File: Host
Desc: File handling ('Permission denied' error) fixed when using --remove with -m 2500
Trac: #395

Type: Distribution
File: Packages
Desc: Created two packages for download: oclHashcat-* for AMD, cudaHashcat-* for CUDA

* changes v1.00 -> v1.01:

Type: Driver
File: Kernel
Desc: Added support for AMD Catalyst v13.12

Type: Feature
File: Host
Desc: Added switch --generate-rules-seed, sets seed used for randomization so rulesets can be reproduced

Type: Feature
File: Host
Desc: Added some hcchr charset files in /charsets, some new files: Bulgarian, Polish, Hungarian
Cred: Rub3nCT

Type: Bug
File: Host
Desc: When using -m 2500 w/ multi hccap files there was no error shown if the user mixed WPA and WPA2 networks, this is currently not allowed
Trac: #222

* initial version 1.00

first public release, oclHashcat is a fusion of oclHashcat-plus v0.15 and oclHashcat-lite v0.15

Type: Driver
File: Kernel
Desc: Added support for AMD Catalyst v13.8b*

Type: Driver
File: Kernel
Desc: Added support for AMD Catalyst v13.9

Type: Driver
File: Kernel
Desc: Added support for AMD Catalyst v13.11b*

Type: Driver
File: Kernel
Desc: Added support for AMD R9 series

Type: Driver
File: Kernel
Desc: Added support for AMD APP SDK v2.9

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 50 = HMAC-MD5 (key = $pass)

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 60 = HMAC-MD5 (key = $salt)

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 150 = HMAC-SHA1 (key = $pass)

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 160 = HMAC-SHA1 (key = $salt)

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 190 = sha1(LinkedIn)
Trac: #190

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 1450 = HMAC-SHA256 (key = $pass)
Trac: #97

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 1460 = HMAC-SHA256 (key = $salt)
Trac: #97

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 1750 = HMAC-SHA512 (key = $pass)

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 1760 = HMAC-SHA512 (key = $salt)

Type: Feature
File: Kernel
Desc: Added support for algorithm -m 7500 = Kerberos 5 AS-REQ Pre-Auth etype 23

Type: Feature
File: Host
Desc: Added tab completion for bash (in extra folder)

Type: Feature
File: Host
Desc: Added support for Tesla Deployment Kit v5.319.43

Type: Feature
File: Host
Desc: Added support for NVAPI R319

Type: Feature
File: Host
Desc: Added switch --benchmark, run several hash modes in benchmark mode for speed tests

Type: Feature
File: Host
Desc: Added switch --disable-restore option, don't write/update nor touch restore file

Type: Feature
File: Host
Desc: Added support for hccap files containing several networks
Trac: #167

Type: Feature
File: Host
Desc: Show the status by hitting the s key or the Enter key, show the status when dict or mask Changed
Trac: #189

Type: Feature
File: Host
Desc: Show line progress for maskfiles (.hcmask)
Trac: #206

Type: rules
File: T0XlC.rule
Desc: cleaned, original T0XlC.rule
Cred: T0XlC

Type: rules
File: T0XlCv1.rule
Desc: Added ruleset with 12000 random rules
Cred: T0XlC

Type: rules
File: T0XlC_insert_00-99_1950-2050_toprules_0_F.rule
Desc: Added ruleset with insert rules from position 0 to position F (00-99,1950-2050)
Cred: T0XlC

Type: rules
File: T0XlC_insert_space_and_special_0_F.rule
Desc: Added ruleset with insert rules from position 0 to position F (special characters)
Cred: T0XlC

Type: rules
File: T0XlC_insert_top_100_passwords_1_G.rule
Desc: Added ruleset with insert rules from position 0 to position F (top 100 passwords)
Cred: T0XlC

Type: Bug
File: Host
Desc: problem while performing the --remove operation in windows fixed - timing problem (Permission denied error)

Type: Bug
File: Host
Desc: Fixed mask length display in status screen when using hash types that internally use unicode

Type: Bug
File: Host
Desc: Hash files that did not end with a newline character were not parsed correctly

Type: Bug
File: Host
Desc: Fixed crash when hitting CTRL-C, when receiving abort signals

Type: Bug
File: Host
Desc: Fixed freeze, flush problem w/ progress at ~100%
Trac: #82

Type: Bug
File: Host
Desc: Fixed russian charset files (hcchr), removed unnecessary chars
Trac: #194

Type: Bug
File: Host
Desc: Fixes a crash when using --username together with --remove
Trac: #197

Type: Change
File: Host
Desc: new default status-timer value is 10 seconds instead of 1 minute
